
/* General */
body {
    background-color: black;
    margin: 0;
    font-size: 10pt;
    color: yellow;
}

a {
    text-decoration: underline;
}

a:link,
a:visited,
a:active {
    color: yellow;
}

a:hover {
    color: yellow;
    text-decoration: none;
}

form {
    margin: 0;
    padding: 0;
}

button {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: bold;
    border: 3px solid yellow;
    background-color: black;
    color: yellow;
}

h3 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: xx-large;
    font-weight: bold;
    color: yellow;
    padding: 40px 0 50px 20px;
    margin: 0;
}

h5 {
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
    color: yellow;
    font-weight: bold;
    margin-left: 40px;
}

label {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: bold;
    color: yellow;
}

textarea,
input,
select {
    border: 1px solid yellow;
    background-color: black;
    color: yellow;
    font-size: large;
    font-weight: bold;
}

select {
    font-size: medium;
}

hr.partial {
    width: 50%;
}

form .discreet {
    font-family: Arial, Helvetica, sans-serif;
    font-size: small;
    font-weight: bold;
    color: yellow;
}

body.container {
    margin: 0 0 0 0;
    padding: 0 0 0 0;
}

body.container.dbeditor {
    padding: 2px 2px 2px 2px;
}

td.inFocus,
th.inFocus {
    background-color: yellow;
    color: black;
}

td.selected,
th.selected {
    border: 1px solid white;
}

table.notice {
    margin-left: auto;
    margin-right: auto;
}

.leadIn {
    float: left;
}

.leadOut {
    float: right;
}

.solo {
    clear: both;
}

.flowing {
    vertical-align: middle;
}

.commoncolor {
    color: yellow;
}

.success {
    color: #00ff00;
}

.warning {
    color: red;
}

.notice {
    text-align: center;
}

.pagetext {
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    font-weight: bold;
}

.footnote {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    color: yellow;
    font-style: italic;
}

.lesser {
    font-size: smaller;
}

.quote {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-style: italic;
    font-weight: bold;
    color: yellow;
}

#jamesheader a,
#jamesheader span {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: bold;
}

#jamesheader span {
    color: yellow;
}

#jamesheader a {
    color: black;
    background-color: yellow;
}

#jamesheader a:hover {
    color: yellow;
    background-color: black;
}

#jamesheader {
    position: absolute;
    right: 0;
    top: 0;
    text-align: right;
    padding: 5px 5px 0 0;
    margin: 0;
}

#logoutform {
    display: none;
}

.loggedin #loginbutton {
    display: none;
}

.loggedin #logoutform {
    display: block;
}

#jamesfooter {
    clear: both;
    text-align: center;
    border-top-style: dashed;
    border-top-color: #dddddd;
    border-top-width: 1px;
    padding-top: 10px;
    margin-top: 200px;
}

#jamesfooter p {
    margin: 0;
    padding: 0;
}

#jamesfooterbrowser {
    float: left;
}

#jamesfooterspecs {
    float: right;
}

#jamesfooter img {
    border: 0;
}

#jamesuparrow {
    position: fixed;
    bottom: 80px;
    left: 4%;
}

#jamescontentspanel {
    margin: 0 30px 0 30px;
    padding-top: 30px;
    text-align: center;
}

#jamescontentspanel ul {
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    color: yellow;
    font-weight: bold;
    list-style-type: none;
    padding: 0;
    margin: 0;
}

#jamescontentspanel ul li {
    line-height: 2.4em;
    float: left;
    margin: 0 0.5em 0 0.5em;
}

#jamescontentspanel div {
    float: left;
    margin: 0 0.5em 0 0;
    background-color: #ffffcc;
}

#jamescontentspanel .separator {
    background-color: yellow;
    padding: 1.2em 5px 1.2em 5px;
    margin: 0 20px 0 20px;
    border-color: yellow;
    border-top-width: 2px;
    border-top-style: outset;
}

#jamescontent {
    clear: both;
    margin: 0 10% 0 10%;
}

/* Front page */
.coverpage .quote {
    padding: 80px 0 80px 0;
}

.credentialbanner {
    padding: 80px 0 0 0;
}

.credentialbanner ~ .credentialbanner {
    padding: 0;
}

.logobanner img,
.credentialbanner img {
    padding: 10px 30px 10px 30px;
    vertical-align: middle;
}

.credentialbanner img {
    width: auto;
    height: 90px;
    background-color: white;
}

/* Guestbook page */
.guestbook th {
    vertical-align: bottom;
}

.guestbook td {
    font-weight: normal;
}

.guestbook .leadout {
    text-align: right;
}

/* Database Editor page */
.dbeditor table table thead th {
    background-color: yellow;
    color: black;
}

.dbeditor table table td.first {
    text-align: left;
}

/* Focus page */
ul.notice {
    text-align: left;
    width: 70%;
    margin: 0 auto 0 auto;
    list-style-type: circle;
}

ul.inactive {
    color: #ffff99;
    list-style-type: disc;
}

/* Contact Page */
.contacttype {
    float: left;
    margin: 0;
    padding-bottom: 15px;
    width: 250px;
}

.contactinfo {
    margin-left: 300px;
    display: block;
}

#contactform {
    clear: left;
    padding-top: 30px;
}

.contact {
    padding-left: 125px;
    clear: left;
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    color: yellow;
    font-weight: bold;
}

#contactform #botchallengeandsend {
    border-left: 1mm dashed yellow;
    margin: 20px 20px 20px 285px;
    padding: 15px;
}

/* Tools Page */
#toolsform h5 {
    margin-left: 40px;
}

.toolfield {
    text-align: right;
    width: 700px;
    margin-left: 20px;
    margin-right: auto;
}

.toolfield textarea {
    margin-left: 60px;
    vertical-align: middle;
}

/* Portfolio and Credentials pages */
.credentialexhibits,
.portfoliosites {
    margin: 50px auto 50px auto;
    font-family: Arial, Helvetica, sans-serif;
    font-size: x-large;
    color: yellow;
    font-weight: bold;
}

.credentialexhibits dd img.thumbnail,
.credentialexhibits dd a.thumbnail,
.portfoliosites dd img.thumbnail,
.portfoliosites dd a.thumbnail {
    float: right;
    margin: 0 0 5px 20px;
}

.credentialexhibits dd .thumbnail img {
    width: auto;
    height: 150px;
}

.credentialexhibits dt,
.portfoliosites dt {
    margin-top: 15px;
    clear: right;
}

.credentialexhibits dd,
.portfoliosites dd {
    margin-top: 15px;
    font-size: smaller;
}

/* Resume page */
#jamesresume {
    margin: 0 5% 0 5%;
}

.resumetext {
    font-family: Arial, Helvetica, sans-serif;
    font-size: medium;
    font-weight: bold;
    color: yellow;
}

.resumetext strong,
.resumetext abbr {
    color: white;
}

.resumetext abbr {
    border-bottom: 0.1em dotted;
}

.resumesection {
    text-align: center;
    font-family: Arial, Helvetica, sans-serif;
    font-size: large;
    font-weight: bold;
    color: yellow;
}

div.resumesection {
    display: flex;
    justify-content: space-between;
    padding-left: 0.5em;
    margin-left: 0.5em;
    border-left: 0.35em dotted white;       
}

div.resumesection .supplemental:first-child {
    order: 1;
}

div.resumesection .subject {
    align-self: center; 
    text-align: left;
}

div.resumesection .supplemental {
    text-align: right;
    font-size: medium;
}

.resumesubsection {
    font-family: Arial, Helvetica, sans-serif;
    font-weight: bold;
    font-size: medium;
    color: #ffff99;
}
